microsoft-foundry.rest.security.o-auth2-auth
Deployments
Get a deployment
GET
/deployments/{name}
Retrieves a deployed model.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
name
string
必須
Name of the deployment
ヘッダー パラメーター
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
応答
The request has succeeded.
ヘッダー
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
本文
Content-Type: application/json
次のいずれか:
ModelDeployment
ModelDeployment
Model Deployment Definition
type
enum
必須
The type of the deployment
ModelDeployment
modelName
string
必須
Publisher-specific name of the deployed model
modelVersion
string
必須
Publisher-specific version of the deployed model
modelPublisher
string
必須
Name of the deployed model's publisher
capabilities
object
必須
Capabilities of deployed model
[key: string]
string
sku
Sku
必須
Sku information
capacity
integer
必須
Sku capacity
family
string
必須
Sku family
name
string
必須
Sku name
size
string
必須
Sku size
tier
string
必須
Sku tier
connectionName
string
Name of the connection the deployment comes from
要求
GET /deployments/{name} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json